Bio::Coordinate::Utils(3)

SYNOPSIS
    use Bio::Coordinate::Utils;
    # get a Bio::Align::AlignI compliant object, $aln, somehow
    # it could be a Bio::SimpleAlign

    $mapper = Bio::Coordinate::Utils->from_align($aln, 1);

    # Build a set of mappers which will map, for each sequence,
    # that sequence position in the alignment (exon position to alignment
    # position)
    my @mappers = Bio::Coordinate::Utils->from_seq_to_alignmentpos($aln);

DESCRIPTION
This class is a holder of methods that work on or create Bio::Coordinate::MapperI- compliant objects. . These methods are not part of the Bio::Coordinate::MapperI interface and should in general not be essential to the primary function of sequence objects. If you are thinking of adding essential functions, it might be better to create your own sequence class. See Bio::PrimarySeqI, Bio::PrimarySeq, and Bio::Seq for more.

  new
new() inherited from Root

  from_align
 Title   : from_align
 Usage   : $mapper = Bio::Coordinate::Utils->from_align($aln, 1);
 Function:
           Create a mapper out of an alignment.
           The mapper will return a value only when both ends of
           the input range find a match.

           Note: This implementation works only on pairwise alignments
           and is not yet well tested!

 Returns : A Bio::Coordinate::MapperI
 Args    : Bio::Align::AlignI object
           Id for the reference sequence, optional

  from_seq_to_alignmentpos
 Title   : from_seq_to_alignmentpos
 Usage   : $mapper = Bio::Coordinate::Utils->from_seq_to_alignmentpos($aln, 1);
 Function:
           Create a mapper out of an alignment.
           The mapper will map the position of a sequence into that position
           in the alignment.

           Will work on alignments of >= 2 sequences
 Returns : An array of Bio::Coordinate::MapperI
 Args    : Bio::Align::AlignI object